lib64ecpg9.4_6-9.4.22-1.mga6.x86_64.rpm


Advertisement

Description

lib64ecpg9.4_6 - Shared library libecpg for PostgreSQL

Property Value
Distribution Mageia 6.1
Repository Mageia Core Updates Testing x86_64
Package filename lib64ecpg9.4_6-9.4.22-1.mga6.x86_64.rpm
Package name lib64ecpg9.4_6
Package version 9.4.22
Package release 1.mga6
Package architecture x86_64
Package type rpm
Category System/Libraries
Homepage http://www.postgresql.org/
License BSD
Maintainer -
Download size 77.06 KB
Installed size 183.19 KB
Libecpg is used by programs built with ecpg (Embedded PostgreSQL for C) Use
postgresql-dev to develop such programs.

Alternatives

Package Version Architecture Repository
lib64ecpg9.4_6-9.4.19-1.mga6.x86_64.rpm 9.4.19 x86_64 Mageia Core Updates
lib64ecpg9.4_6-9.4.16-1.mga6.x86_64.rpm 9.4.16 x86_64 Mageia Core Updates
lib64ecpg9.4_6-9.4.15-1.mga6.x86_64.rpm 9.4.15 x86_64 Mageia Core Updates
lib64ecpg9.4_6-9.4.13-1.mga6.x86_64.rpm 9.4.13 x86_64 Mageia Core Updates
lib64ecpg9.4_6-9.4.12-1.1.mga6.x86_64.rpm 9.4.12 x86_64 Mageia Core Updates
lib64ecpg9.4_6-9.4.12-1.mga6.x86_64.rpm 9.4.12 x86_64 Mageia Core
lib64ecpg9.4_6 - - -

Requires

Name Value
libc.so.6()(64bit) -
libc.so.6(GLIBC_2.14)(64bit) -
libc.so.6(GLIBC_2.2.5)(64bit) -
libc.so.6(GLIBC_2.3)(64bit) -
libc.so.6(GLIBC_2.3.4)(64bit) -
libc.so.6(GLIBC_2.4)(64bit) -
libecpg.so.6()(64bit) -
libm.so.6()(64bit) -
libm.so.6(GLIBC_2.2.5)(64bit) -
libpgtypes.so.3()(64bit) -
libpq.so.5.7()(64bit) -
libpthread.so.0()(64bit) -
libpthread.so.0(GLIBC_2.2.5)(64bit) -
postgresql9.4 == 9.4.22-1.mga6

Provides

Name Value
lib64ecpg9.4_6 == 9.4.22-1.mga6
lib64ecpg9.4_6(x86-64) == 9.4.22-1.mga6
lib64ecpg9.4_6-virtual == 9.4
libecpg == 9.4.22-1.mga6
libecpg.so.6()(64bit) -
libecpg_compat.so.3()(64bit) -
libpgtypes.so.3()(64bit) -

Conflicts

Name Value
lib64ecpg9.4_6-virtual < 9.4

Obsoletes

Name Value
lib64ecpg9.1_6 -
lib64ecpg9.2_6 -

Download

Type URL
Mirror distrib-coffee.ipsl.jussieu.fr
Binary Package lib64ecpg9.4_6-9.4.22-1.mga6.x86_64.rpm
Source Package postgresql9.4-9.4.22-1.mga6.src.rpm

Install Howto

  1. Enable Mageia Core Updates Testing repository on Install and Remove Software
  2. Update packages list:
    # urpmi.update -a
  3. Install lib64ecpg9.4_6 rpm package:
    # urpmi lib64ecpg9.4_6

Files

Path
/usr/lib64/libecpg.so.6
/usr/lib64/libecpg.so.6.6
/usr/lib64/libecpg_compat.so.3
/usr/lib64/libecpg_compat.so.3.6
/usr/lib64/libpgtypes.so.3
/usr/lib64/libpgtypes.so.3.5

Changelog

2019-05-12 - mokraemer <mokraemer> 9.4.22-1.mga6
+ Revision: 1397395
- new version 9.4.22 fix cve's (mga#24798)
+ bcornec <bcornec>
- Update to upstream 9.4.19 to fix mga#22687
+ luigiwalser <luigiwalser>
- 9.4.16 (fixes CVE-2018-1052 and CVE-2018-1053)
- 9.4.15 (fixes CVE-2017-12172 and CVE-2017-1509[89])
- 9.4.13 (fixes CVE-2017-754[6-8])
2017-05-15 - neoclust <neoclust> 9.4.12-1.mga6
+ Revision: 1101660
- New version 9.4.12 - Fixes CVE-2017-748[4-6] (mga#20842)
2017-03-05 - neoclust <neoclust> 9.4.11-1.mga6
+ Revision: 1088844
- New version 9.4.11
2017-01-31 - shlomif <shlomif> 9.4.10-4.mga6
+ Revision: 1084435
- Rebuild for the new perl
2016-11-08 - neoclust <neoclust> 9.4.10-3.mga6
+ Revision: 1065817
- Try better to fix conflicts
2016-10-28 - luigiwalser <luigiwalser> 9.4.10-2.mga6
+ Revision: 1063850
- 9.4.10
2016-10-18 - neoclust <neoclust> 9.4.9-2.mga6
+ Revision: 1061568
- Fix conflicts against mga5 pgsql
2016-08-11 - luigiwalser <luigiwalser> 9.4.9-1.mga6
+ Revision: 1045672
- 9.4.9 (fixes CVE-2016-5423 and CVE-2016-5424)
2016-05-12 - luigiwalser <luigiwalser> 9.4.8-1.mga6
+ Revision: 1014213
- 9.4.8

See Also

Package Description
lib64ecpg9.6_6-9.6.13-3.mga6.x86_64.rpm Shared library libecpg for PostgreSQL
lib64epubgen0.1-devel-0.1.1-2.mga6.x86_64.rpm Development files for libepubgen
lib64epubgen0.1_1-0.1.1-2.mga6.x86_64.rpm An EPUB generator library
lib64etonyek-devel-0.1.9-1.mga6.x86_64.rpm Development files for libetonyek
lib64etonyek0.1_1-0.1.9-1.mga6.x86_64.rpm A library for import of Apple iWork documents
lib64freehand-devel-0.1.2-2.mga6.x86_64.rpm Development files for libfreehand
lib64freehand1-0.1.2-2.mga6.x86_64.rpm A library for import of Macromedia/Adobe FreeHand documents
lib64gcj-devel-5.5.0-2.mga6.x86_64.rpm Header files and libraries for Java development
lib64gcj-static-devel-5.5.0-2.mga6.x86_64.rpm Static libraries for Java development
lib64gcj16-5.5.0-2.mga6.x86_64.rpm GNU Java runtime libraries
lib64gcj_bc1-5.5.0-2.mga6.x86_64.rpm GNU Java runtime bytecode wrapper library
lib64gii-devel-1.0.2-21.1.mga6.x86_64.rpm Headers for developing programs that will use libgii
lib64gii-static-devel-1.0.2-21.1.mga6.x86_64.rpm Static libraries for developing programs that will use libgii
lib64gii1-1.0.2-21.1.mga6.x86_64.rpm Main library for libgii
lib64git-devel-2.13.7-1.3.mga6.x86_64.rpm Git development files
Advertisement
Advertisement